<?php
    namespace \Mvc;

    use Mvc\http\Request;
    use Mvc\Router\RoutableInterface;

    class Router implements RoutableInterface {
        private $URL_SEPARATOR = "/";

        public function route(Request $_request){
            $url = trim($request->getUrl(), self::URL_SEPARATOR);
 
            if($url != ''){
                //Suppression de la partie GET
                if(false !== $iPos = strpos($url, '?')){
                    $url = substr($url, 0,$iPos);
                }
 
                // supprime l'url de base
                $url = trim(
                    str_replace(
                        trim($request->getBaseUrl(), self::URL_SEPARATOR), '', $url), self::URL_SEPARATOR
                    );
 
                // sépare le controleur et l'action
                $url = explode(self::URL_SEPARATOR, $url);
 
                //propagation du controleur a l'objet requete
                if(!empty($url[0])){
                    $request->setController(array_shift($url));
 
                    //propagation de l'action a l'objet requete
                    if(!empty($url[0])){
                        $request->setAction(array_shift($url));
                    }
                }
            }
            return $this;
        }
    }
?>